## velvet 1.1.07~nozlibcopy

=== Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g
LIBS = -lm
OPT = -O3
MAXKMERLENGTH=31
CATEGORIES=2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)

# Mac OS users: uncomment the following lines
# CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

ifdef BIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY
endif

ifdef VBIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY -D VBIGASSEMBLY
endif 	


ifdef LONGSEQUENCES
override DEF := $(DEF) -D LONGSEQUENCES
endif

# OpenMP 
ifdef OPENMP
override CFLAGS := $(CFLAGS) -fopenmp
endif

# Per library coverage
ifdef SINGLE_COV_CAT
override DEF := $(DEF) -D SINGLE_COV_CAT
endif

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj velveth velvetg doc

clean : clean-zlib
	-rm obj/*.o obj/dbg/*.o ./velvet* 
	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log
	-rm -f doc/manual_src/Columbus_manual.aux doc/manual_src/Columbus_manual.out doc/manual_src/Columbus_manual.log

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

ifdef BUNDLEDZLIB
Z_LIB_DIR=third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o
override DEF := $(DEF) -D BUNDLEDZLIB

zlib: 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

clean-zlib :
	cd $(Z_LIB_DIR) && make clean
else
Z_LIB_FILES=-lz

zlib :
clean-zlib :
endif

velveth : obj 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES) $(LIBS)


velvetg : obj
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES) $(LIBS)

debug : override DEF := $(DEF) -D DEBUG 
debug : cleanobj obj/dbg
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES) $(LIBS)

color : override DEF := $(DEF) -D COLOR
color : cleanobj obj_de
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES) $(LIBS)

colordebug : override DEF := $(DEF) -D COLOR -D DEBUG
colordebug : cleanobj obj/dbg_de
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES) $(LIBS)

objdir:
	mkdir -p obj

obj: zlib cleanobj objdir $(OBJ)

obj_de: override DEF := $(DEF) -D COLOR
obj_de: zlib cleanobj objdir $(OBJ)

obj/dbgdir: 
	mkdir -p obj/dbg

obj/dbg: override DEF := $(DEF) -D DEBUG 
obj/dbg: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/dbg_de: override DEF := $(DEF) -D COLOR -D DEBUG
obj/dbg_de: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@ 

doc: Manual.pdf

Manual.pdf: doc/manual_src/Manual.tex doc/manual_src/Columbus_manual.tex
	cd doc/manual_src; pdflatex Manual.tex; pdflatex Manual.tex; mv Manual.pdf ../..; pdflatex Columbus_manual.tex; mv Columbus_manual.pdf ../..

=== debian/changelog ===
velvet (1.1.07~nozlibcopy-1) unstable; urgency=low

  * New upstream release (Closes: #647415).
  * debian/contol:
    - Pre-Depends on dpkg (>= 1.15.6) for Ubuntu LTS.
    - Removed Multi-Arch: foreign.

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Dec 2011 14:07:58 +0900

=== debian/control ===
Source: velvet
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), zlib1g-dev, help2man, quilt, texlive-latex-base
Standards-Version: 3.9.2
Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/velvet/trunk/

Package: velvet
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python
Suggests: velvet-example
Description: Nucleic acid sequence assembler for very short reads
 Velvet is a de novo genomic assembler specially designed for short read
 sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
 Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
 Cambridge, in the United Kingdom.
 .
 Velvet currently takes in short read sequences, removes errors then produces
 high quality unique contigs. It then uses paired read information, if
 available, to retrieve the repeated areas between contigs.

Package: velvet-example
Architecture: all
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}
Description: Example data for the Velvet sequence assembler
 Velvet is a de novo genomic assembler specially designed for short read
 sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
 Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
 Cambridge, in the United Kingdom.
 .
 Velvet currently takes in short read sequences, removes errors then produces
 high quality unique contigs. It then uses paired read information, if
 available, to retrieve the repeated areas between contigs.
 .
 This package contains the example data distributed in the sources of Velvet,
 a de novo genomic assembler.

## velvet 1.1.07%7enozlibcopy

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with quilt

pkg=velvet

override_dh_auto_clean :
	dh_auto_clean
	rm -rf zlib

override_dh_auto_build :
	touch zlib # prevents the zlib in the ‘third-party’ folder to be built.
	dh_auto_build -- OPENMP=1
	dh_auto_build -- color OPENMP=1

override_dh_install :
	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
	help2man --no-info --name="simple hashing program" \
	         $(CURDIR)/velveth > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velveth.1
	help2man --no-info --name="simple hashing program (colorspace version)" \
	         $(CURDIR)/velveth_de > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velveth_de.1
	help2man --no-info --version-option=" " \
	         --name="de Bruijn graph construction, error removal and repeat resolution" \
	         $(CURDIR)/velvetg > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velvetg.1
	help2man --no-info --version-option=" " \
	         --name="de Bruijn graph construction, error removal and repeat resolution (colorspace version)" \
	         $(CURDIR)/velvetg_de > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velvetg_de.1
	dh_install
	#If the tarball is not being scrubbed we need this.
	# find $(CURDIR)/debian/$(pkg) -name '.DS_Store' -exec rm {} \;
	rmdir $(CURDIR)/debian/$(pkg)/usr/share/velvet/contrib/MetaVelvet-v0.3.1/obj

#Prevent compression of user manual
override_dh_compress :
	dh_compress -X.pdf

override_dh_pysupport :
	#Not needed, Python scripts are just for examples

override_dh_builddeb:
	dh_builddeb -- -Z xz

get-orig-source:
	. debian/get-orig-source

## velvet 1.2.03~nozlibcopy

=== Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g
LIBS = -lm
OPT = -O3
MAXKMERLENGTH=31
CATEGORIES=2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)

# Mac OS users: uncomment the following lines
# CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

ifdef BIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY
endif

ifdef VBIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY -D VBIGASSEMBLY
endif 	


ifdef LONGSEQUENCES
override DEF := $(DEF) -D LONGSEQUENCES
endif

# OpenMP 
ifdef OPENMP
override CFLAGS := $(CFLAGS) -fopenmp
endif

# Per library coverage
ifdef SINGLE_COV_CAT
override DEF := $(DEF) -D SINGLE_COV_CAT
endif

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj velveth velvetg doc

clean : clean-zlib
	-rm obj/*.o obj/dbg/*.o ./velvet* 
	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log
	-rm -f doc/manual_src/Columbus_manual.aux doc/manual_src/Columbus_manual.out doc/manual_src/Columbus_manual.log

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

ifdef BUNDLEDZLIB
Z_LIB_DIR=third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o
override DEF := $(DEF) -D BUNDLEDZLIB

zlib: 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

clean-zlib :
	cd $(Z_LIB_DIR) && make clean
else
Z_LIB_FILES=-lz

zlib :
clean-zlib :
endif

velveth : obj 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/binarySequences.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o $(Z_LIB_FILES) $(LIBS)


velvetg : obj
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES) $(LIBS)

debug : override DEF := $(DEF) -D DEBUG 
debug : cleanobj obj/dbg
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES) $(LIBS)

color : override DEF := $(DEF) -D COLOR
color : cleanobj obj_de
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/binarySequences.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o $(Z_LIB_FILES) $(LIBS)

colordebug : override DEF := $(DEF) -D COLOR -D DEBUG
colordebug : cleanobj obj/dbg_de
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o $(Z_LIB_FILES) $(LIBS)

objdir:
	mkdir -p obj

obj: zlib cleanobj objdir $(OBJ)

obj_de: override DEF := $(DEF) -D COLOR
obj_de: zlib cleanobj objdir $(OBJ)

obj/dbgdir: 
	mkdir -p obj/dbg

obj/dbg: override DEF := $(DEF) -D DEBUG 
obj/dbg: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/dbg_de: override DEF := $(DEF) -D COLOR -D DEBUG
obj/dbg_de: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@ 

doc: Manual.pdf

Manual.pdf: doc/manual_src/Manual.tex doc/manual_src/Columbus_manual.tex
	cd doc/manual_src; pdflatex Manual.tex; pdflatex Manual.tex; mv Manual.pdf ../..; pdflatex Columbus_manual.tex; mv Columbus_manual.pdf ../..

=== debian/changelog ===
velvet (1.2.03~nozlibcopy-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/patches/include_debians_zlib.patch.

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Feb 2012 13:37:19 +0900

## velvet 1.2.10+dfsg

=== contrib/MetaVelvet-1.2.01/Makefile ===
CC ?= gcc
CXX ?= g++
CFLAGS = -O3 -Wall
CXXFLAGS = -O2 -Wall
DFLAGS =
VelvetDir=Velvet-1.1.06
OBJS_V = $(VelvetDir)/splay.o $(VelvetDir)/splayTable.o \
	$(VelvetDir)/tightString.o $(VelvetDir)/graph.o \
	$(VelvetDir)/fibHeap.o $(VelvetDir)/fib.o \
	$(VelvetDir)/concatenatedGraph.o $(VelvetDir)/passageMarker.o \
	$(VelvetDir)/graphStats.o $(VelvetDir)/correctedGraph.o \
	$(VelvetDir)/dfib.o $(VelvetDir)/dfibHeap.o \
	$(VelvetDir)/recycleBin.o $(VelvetDir)/readSet.o \
	$(VelvetDir)/shortReadPairs.o $(VelvetDir)/scaffold.o \
	$(VelvetDir)/locallyCorrectedGraph.o $(VelvetDir)/graphReConstruction.o \
	$(VelvetDir)/roadMap.o $(VelvetDir)/preGraph.o \
	$(VelvetDir)/preGraphConstruction.o $(VelvetDir)/concatenatedPreGraph.o \
	$(VelvetDir)/readCoherentGraph.o $(VelvetDir)/utility.o \
	$(VelvetDir)/kmer.o $(VelvetDir)/kmerOccurenceTable.o $(VelvetDir)/allocArray.o
OBJS_H = Apps/meta-velveth.o $(OBJS_V)
OBJS_G = Apps/meta-velvetg.o $(OBJS_V)	
OBJS_IS = Apps/annoIS.o $(OBJS_V)
#PROG = meta-velvetg annoIS
PROG = meta-velvetg
INCLUDES = 
LIBS = -lz \
	-lVelvet -LVelvet-1.1.06 \
	-lVelvetAPI -LVelvetAPI \
	-lCommon -LCommon \
	-lPeak -LPeak \
	-lISGraph -L ISGraph
SUBDIRS = Velvet-1.1.06 VelvetAPI Common Peak ISGraph

MAXKMERLENGTH = 63
CATEGORIES = 2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)

.SUFFIXES:.cc .o

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(DEF) $(INCLUDES) $< -o $@

all:lib-recur $(PROG)

lib-recur all-recur clean-recur cleanlocal-recur install-recur:
	@target=`echo $@ | sed s/-recur//`; \
	wdir=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
		cd $$subdir; \
		$(MAKE) CC="$(CC)" CXX="$(CXX)" \
			CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
			DFLAGS="$(DFLAGS)" DEF="$(DEF)"\
			INCLUDES="$(INCLUDES)" $$target || exit 1; \
		cd $$wdir; \
	done;

lib:

meta-velveth:lib-recur $(OBJS_H)
	$(CXX) $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $(OBJS_H) -o $@ $(LIBS)

meta-velvetg:lib-recur $(OBJS_G)
	$(CXX) $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $(OBJS_G) -o $@ $(LIBS)

annoIS:lib-recur $(OBJS_IS)
	$(CXX) $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $(OBJS_IS) -o $@ $(LIBS)

cleanlocal:
	rm -f *.o $(PROG) *~ *.a Apps/*.o

clean:cleanlocal clean-recur

=== contrib/MetaVelvet-1.2.01/Common/Makefile ===
OBJS = FastaSeq.o FastaWriter.o SplitStats.o SplitJudge.o InfiniteLoopChecker.o MetaGraph.o
PROG =
INCLUDES = 
LIBS = 
SUBDIRS = . 

.SUFFIXES:.c .o

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(DEF) $(INCLUDES) $< -o $@

lib:libCommon.a

libCommon.a:$(OBJS)
	$(AR) -cru $@ $(OBJS)

cleanlocal:
	rm -f *.o $(PROG) *~ *.a

clean:cleanlocal

=== contrib/MetaVelvet-1.2.01/ISGraph/Makefile ===
OBJS = ISPath.o ISNode.o ISGraph.o
PROG =
INCLUDES = 
LIBS = 
SUBDIRS = . 

.SUFFIXES:.c .o

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(DEF) $(INCLUDES) $< -o $@

lib:libISGraph.a

libISGraph.a:$(OBJS)
	$(AR) -cru $@ $(OBJS)

cleanlocal:
	rm -f *.o $(PROG) *~ *.a

clean:cleanlocal

=== contrib/MetaVelvet-1.2.01/Peak/Makefile ===
OBJS = PeakDetectorParameters.o PeakDetectorFactory.o EMPeakDetector.o SimplePeakDetector.o
PROG =
INCLUDES = 
LIBS = 
SUBDIRS = . 

.SUFFIXES:.c .o

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(DEF) $(INCLUDES) $< -o $@

lib:libPeak.a

libPeak.a:$(OBJS)
	$(AR) -cru $@ $(OBJS)

cleanlocal:
	rm -f *.o $(PROG) *~ *.a

clean:cleanlocal

=== contrib/MetaVelvet-1.2.01/Velvet-1.1.06/Makefile ===
OBJS = readSet.o tightString.o kmer.o kmerOccurenceTable.o \
	roadMap.o splay.o splayTable.o \
	preGraph.o preGraphConstruction.o concatenatedPreGraph.o \
	graph.o graphReConstruction.o concatenatedGraph.o \
	graphStats.o correctedGraph.o \
	fib.o fibHeap.o dfib.o dfibHeap.o \
	passageMarker.o \
	scaffold.o shortReadPairs.o locallyCorrectedGraph.o readCoherentGraph.o \
	utility.o allocArray.o recycleBin.o
PROG =
INCLUDES = 
LIBS = 
SUBDIRS = . 

.SUFFIXES:.c .o

.c.o:
	$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(DEF) $(INCLUDES) $< -o $@

lib:libVelvet.a

libVelvet.a:$(OBJS)
	$(AR) -cru $@ $(OBJS)

cleanlocal:
	rm -f *.o $(PROG) *~ *.a

clean:cleanlocal

=== contrib/MetaVelvet-1.2.01/VelvetAPI/Makefile ===
OBJS = VUtils.o VelvetUtils.o VelvetGraph.o
PROG =
INCLUDES = 
LIBS = 
SUBDIRS = . 

.SUFFIXES:.c .o

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(DFLAGS) $(DEF) $(INCLUDES) $< -o $@

lib:libVelvetAPI.a

libVelvetAPI.a:$(OBJS)
	$(AR) -cru $@ $(OBJS)

cleanlocal:
	rm -f *.o $(PROG) *~ *.a

clean:cleanlocal

=== debian/changelog ===
velvet (1.2.10+dfsg-1) unstable; urgency=low

  * New upstream version (+adapted patch)
  * debian/watch: cope with +dfsg suffix (in addition to old ~nozlibcopy)
  * debian/get-orig-source:
     - Enable simple changing of suffix for repackaged source
     - Check for existence of enhanced uscan and use it if available for
       easier repackaging
  * debian/control:
     - cme fix dpkg-control
     - no explicit quilt Build-Depends (also removed from rules)
     - bumped python from Recommends to Depends because there are
       Python scripts installed in velvet/contrib
     - use anonscm in Vcs fields
  * debian/copyright:
    Add Files-Excluded to document what was removed from original source
  * rename debian/{docs,install} to debian/velvet.{docs,install} which
    is more safe in the case of multibinary package
  * debian/velvet.install: shuffle* files are in contrib directory now
  * debhelper 9 (control+compat) to enable hardening options
  * debian/rules: propagate hardening options
  * debian/copyright:
     - Files-Excluded: Exclude MAXOS internal files cruft from upstream archive
     - Adapt Source location
  * debian/README.source: Updated explanation for repackaging, droped some
    outdated information
  * debian/rules:
     - Do not try to rmdir nonexisting directory
     - Remove extra copies of GPL
  * debian/velvet-examples.install: use install instead of examples to move
    the examples into /usr/share/doc/velvet directly.  Also all contrib stuff
    was moved here to not bloat main velvet binary package with potentially
    unused stuff in /usr/share
  * debian/README.Debian: document move of contrib stuff

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2013 14:33:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: velvet
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Charles Plessy <plessy@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), zlib1g-dev, help2man, quilt, texlive-latex-base
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9),
+               zlib1g-dev,
+               help2man,
+               texlive-latex-base
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/velvet/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/velvet/trunk/
 Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/velvet/trunk/
 
 Package: velvet
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: python
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: velvet-example
 Description: Nucleic acid sequence assembler for very short reads
  Velvet is a de novo genomic assembler specially designed for short read
@@ -29,8 +30,8 @@
 
 Package: velvet-example
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
+Recommends: python
 Description: Example data for the Velvet sequence assembler
  Velvet is a de novo genomic assembler specially designed for short read
  sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
@@ -43,3 +44,4 @@
  .
  This package contains the example data distributed in the sources of Velvet,
  a de novo genomic assembler. 
+

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@ --with quilt
+	dh $@
 
 pkg=velvet
 
@@ -14,8 +14,8 @@
 
 override_dh_auto_build :
 	touch zlib # prevents the zlib in the ‘third-party’ folder to be built.
-	dh_auto_build -- OPENMP=1
-	dh_auto_build -- color OPENMP=1
+	dh_auto_build -- OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_build -- color OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_install :
 	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
@@ -30,9 +30,9 @@
 	         --name="de Bruijn graph construction, error removal and repeat resolution (colorspace version)" \
 	         $(CURDIR)/velvetg_de > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velvetg_de.1
 	dh_install
-	#If the tarball is not being scrubbed we need this.
-	# find $(CURDIR)/debian/$(pkg) -name '.DS_Store' -exec rm {} \;
-	rmdir $(CURDIR)/debian/$(pkg)/usr/share/velvet/contrib/MetaVelvet-v0.3.1/obj
+	rm -rf $(CURDIR)/debian/$(pkg)/usr/share/velvet/contrib/MetaVelvet-v0.3.1/obj
+	# remove extra copies of GPL
+	find $(CURDIR)/debian -type f -name 'LICENSE*' -delete
 
 #Prevent compression of user manual
 override_dh_compress :

=== debian/watch ===
version=3
opts=dversionmangle=s/([~+]dfsg|~nozlibcopy)// \
  http://www.ebi.ac.uk/~zerbino/velvet/velvet_([.\d]*).tgz

## velvet 1.2.10+dfsg1

=== Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g
LIBS = -lm
OPT = -O3
MAXKMERLENGTH=31
CATEGORIES=2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)

# Mac OS users: uncomment the following lines
# CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

ifdef BIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY
endif

ifdef VBIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY -D VBIGASSEMBLY
endif 	


ifdef LONGSEQUENCES
override DEF := $(DEF) -D LONGSEQUENCES
endif

# OpenMP 
ifdef OPENMP
override CFLAGS := $(CFLAGS) -fopenmp
endif

# Per library coverage
ifdef SINGLE_COV_CAT
override DEF := $(DEF) -D SINGLE_COV_CAT
endif

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o obj/autoOpen.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj velveth velvetg doc

clean : clean-zlib
	-rm obj/*.o obj/dbg/*.o ./velvet* 
	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log
	-rm -f doc/manual_src/Columbus_manual.aux doc/manual_src/Columbus_manual.out doc/manual_src/Columbus_manual.log

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

ifdef BUNDLEDZLIB
Z_LIB_DIR=third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o
override DEF := $(DEF) -D BUNDLEDZLIB

zlib: 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

clean-zlib :
	cd $(Z_LIB_DIR) && make clean
else
Z_LIB_FILES=-lz

zlib :
clean-zlib :
endif

velveth : obj 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/binarySequences.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/autoOpen.o $(Z_LIB_FILES) $(LIBS)


velvetg : obj
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o obj/autoOpen.o $(Z_LIB_FILES) $(LIBS)

debug : override DEF := $(DEF) -D DEBUG 
debug : cleanobj obj/dbg
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o obj/dbg/autoOpen.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o obj/dbg/autoOpen.o $(Z_LIB_FILES) $(LIBS)

color : override DEF := $(DEF) -D COLOR
color : cleanobj obj_de
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/binarySequences.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o obj/autoOpen.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o obj/autoOpen.o $(Z_LIB_FILES) $(LIBS)

colordebug : override DEF := $(DEF) -D COLOR -D DEBUG
colordebug : cleanobj obj/dbg_de
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o obj/dbg/autoOpen.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o obj/dbg/autoOpen.o $(Z_LIB_FILES) $(LIBS)

objdir:
	mkdir -p obj

obj: zlib cleanobj objdir $(OBJ)

obj_de: override DEF := $(DEF) -D COLOR
obj_de: zlib cleanobj objdir $(OBJ)

obj/dbgdir: 
	mkdir -p obj/dbg

obj/dbg: override DEF := $(DEF) -D DEBUG 
obj/dbg: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/dbg_de: override DEF := $(DEF) -D COLOR -D DEBUG
obj/dbg_de: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@ 

doc: Manual.pdf

Manual.pdf: doc/manual_src/Manual.tex doc/manual_src/Columbus_manual.tex
	cd doc/manual_src; pdflatex Manual.tex; pdflatex Manual.tex; mv Manual.pdf ../..; pdflatex Columbus_manual.tex; mv Columbus_manual.pdf ../..

test: velvetg velveth
	cd tests && ./run-tests.sh

=== debian/changelog ===
velvet (1.2.10+dfsg1-7) unstable; urgency=medium

  * velvet-examples: Depends: velvet-tests
    Closes: #929563

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2019 21:28:03 +0100

velvet (1.2.10+dfsg1-6) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #945743
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2019 13:40:35 +0100

velvet (1.2.10+dfsg1-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added references to registries.

  [ Andreas Tille ]
  * drop unneeded get-orig-source target
  * debhelper 11 (--no-parallel needed)
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * d/control: Drop unnecessary Testsuite field
  * Provide manpages for versions with MAXKMERLENGTH = 127
  * Try better hardening but failed (hints are welcome)
  * Fix spelling
  * Secure URI in watch file
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 10:17:41 +0200

velvet (1.2.10+dfsg1-4) experimental; urgency=medium

  * Add version with MAXKMERLENGTH=127

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2017 10:10:36 +0100

velvet (1.2.10+dfsg1-3) unstable; urgency=medium

  * Moved from SVN to Git
  * Do not mention files in d/copyright that are not part of the source
  * Lintian override for false positives

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2015 09:02:23 +0100

velvet (1.2.10+dfsg1-2) unstable; urgency=medium

  * Fix gcc-5 build issue by adapting upstream patch
    Closes: #778161
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 11:44:54 +0200

velvet (1.2.10+dfsg1-1) unstable; urgency=medium

  * Drop more stuff from upstream source via Files-Excluded
  * cme fix dpkg-control
  * Do not pack example data into another archive
  * add autopkgtest (using new binary package velvet-tests)
  * do not create manpages at package build time (which is error prone anyway
    but rather prepare them before using debian/createmanpages script

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2014 13:56:46 +0200

velvet (1.2.10+dfsg-1biolinux6) trusty; urgency=medium

  [ Andreas Tille ]
  * Moved debian/upstream to debian/upstream/metadata
  * Base get-orig-source target on recent uscan that understands
    Files-Excluded
  * debian/rules: no need to explicitly force xz compression any more

  [ Tim Booth ]
  * Remove MeteVelvet and VelvetOptimiser in dh_clean, not dh_install
  * Include example_data.tar.xz in -example package

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 30 Jun 2014 11:39:24 +0100

velvet (1.2.10+dfsg-1biolinux5) trusty; urgency=low

  * Rebuild for Ubuntu Trusty
  * Fold in some chages from Bio-Linux
  * Add velvet-long package as suggested by upstream
  * Fix TeX deps so manual still builds
  * Add .c/.h and .pl files to dh_compress exclusions
  * Ensure that MetaVelvet and VelvetOptimiser sources are excluded
    as they don't belong in -examples

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 27 Jun 2014 13:52:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                zlib1g-dev,
-               help2man,
-               texlive-latex-base
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/velvet/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/velvet/trunk/
-Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
+               texlive-latex-base,
+               texlive-latex-recommended
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/velvet
+Vcs-Git: https://salsa.debian.org/med-team/velvet.git
+Homepage: https://www.ebi.ac.uk/~zerbino/velvet/
 
 Package: velvet
 Architecture: any
@@ -28,10 +28,29 @@
  high quality unique contigs. It then uses paired read information, if
  available, to retrieve the repeated areas between contigs.
 
+Package: velvet-long
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         velvet
+Description: Nucleic acid sequence assembler for very short reads, long version
+ Velvet is a de novo genomic assembler specially designed for short read
+ sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
+ Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
+ Cambridge, in the United Kingdom.
+ .
+ Velvet currently takes in short read sequences, removes errors then produces
+ high quality unique contigs. It then uses paired read information, if
+ available, to retrieve the repeated areas between contigs.
+ .
+ This package installs special long-mode versions of Velvet, as recommended
+ in the Velvet tutorials.
+
 Package: velvet-example
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: python
+Depends: ${misc:Depends},
+         velvet-tests
+Recommends: python3
 Description: Example data for the Velvet sequence assembler
  Velvet is a de novo genomic assembler specially designed for short read
  sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
@@ -43,5 +62,21 @@
  available, to retrieve the repeated areas between contigs.
  .
  This package contains the example data distributed in the sources of Velvet,
- a de novo genomic assembler. 
+ a de novo genomic assembler.
 
+Package: velvet-tests
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: python3
+Description: Test data for the Velvet sequence assembler
+ Velvet is a de novo genomic assembler specially designed for short read
+ sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
+ Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
+ Cambridge, in the United Kingdom.
+ .
+ Velvet currently takes in short read sequences, removes errors then produces
+ high quality unique contigs. It then uses paired read information, if
+ available, to retrieve the repeated areas between contigs.
+ .
+ This package contains the test data to run the unit tests of Velvet, a de novo
+ genomic assembler, that could be used as additional set of examples.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --no-parallel

pkg=velvet

override_dh_auto_clean :
	# If tarball was not pre-cleaned this will do it.
	dh_auto_clean
	rm -rf zlib
	rm -rf third-party
	rm -rf debian.upstream
	rm -f *.pdf
	find -name '._*' -delete
	rm -rf contrib/MetaVelvet*
	rm -rf contrib/VelvetOptimiser*

build_long_versions :
	touch zlib
	#Make _long version
	dh_auto_build -- LONGSEQUENCES=Y OPENMP=Y velveth velvetg OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	mv velveth velveth_long ; mv velvetg velvetg_long
	#Make _63 kmer version
	dh_auto_build -- MAXKMERLENGTH=63 velveth velvetg OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	mv velveth velveth_63 ; mv velvetg velvetg_63
	#And also one with both options
	dh_auto_build -- MAXKMERLENGTH=63 LONGSEQUENCES=Y OPENMP=Y velveth velvetg OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	mv velveth velveth_63_long ; mv velvetg velvetg_63_long
	#Make _127 kmer version
	dh_auto_build -- MAXKMERLENGTH=127 velveth velvetg OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	mv velveth velveth_127 ; mv velvetg velvetg_127
	#And also one with both options
	dh_auto_build -- MAXKMERLENGTH=127 LONGSEQUENCES=Y OPENMP=Y velveth velvetg OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	mv velveth velveth_127_long ; mv velvetg velvetg_127_long

override_dh_auto_build : build_long_versions
	touch zlib # prevents the zlib in the ‘third-party’ folder to be built.
	dh_auto_build -- OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	dh_auto_build -- color OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_install :
#	mkdir -p debian/$(pkg)/usr/share/man/man1/
#	help2man --no-info --name="simple hashing program" \
#	         ./velveth > debian/$(pkg)/usr/share/man/man1/velveth.1
#	help2man --no-info --name="simple hashing program (colorspace version)" \
#	         ./velveth_de > debian/$(pkg)/usr/share/man/man1/velveth_de.1
#	help2man --no-info --version-option=" " \
#	         --name="de Bruijn graph construction, error removal and repeat resolution" \
#	         ./velvetg > debian/$(pkg)/usr/share/man/man1/velvetg.1
#	help2man --no-info --version-option=" " \
#	         --name="de Bruijn graph construction, error removal and repeat resolution (colorspace version)" \
#	         ./velvetg_de > debian/$(pkg)/usr/share/man/man1/velvetg_de.1
	dh_install
	# remove extra copies of GPL
	find $(CURDIR)/debian -type f -name 'LICENSE*' -delete
	#MetaVelvet should be scrubbed, and VelvetOptimiser is now separate.  Note that these
	#will not have been installed if this was a binarry-only build.
	[ ! -e debian/velvet-example/usr ] || \
	    cp debian/VelvetOptimiser.README debian/velvet-example/usr/share/doc/velvet/contrib/

override_dh_installexamples-indep:
	dh_installexamples -i
	xz -6 debian/velvet-example/usr/share/doc/velvet/examples/*
	sed -i 's?=\.\./velvet?=/usr/bin/velvet?' debian/velvet-tests/usr/share/doc/velvet/tests/run-tests.functions

#Prevent compression of user manual and sample code
override_dh_compress :
	dh_compress -X.pdf -X.c -X.pl -X.h -X.xz

override_dh_pysupport :
	#Not needed, Python scripts are just for examples

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, velvet-tests
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="dversionmangle=s/([~+]dfsg|~nozlibcopy)\d/$1/,uversionmangle=s/$/+dfsg/" \
  https://www.ebi.ac.uk/~zerbino/velvet/velvet_([.\d]*).tgz
